Test-send a campaign
curl --request POST \
--url https://api.pocketflows.com/campaigns/{id}/test_send \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"customer": "<string>",
"to_email_address": "<string>",
"to_phone_number": "<string>",
"variables": {},
"email_address": "<string>",
"phone_number": "<string>",
"step_ids": [
"<string>"
]
}
'import requests
url = "https://api.pocketflows.com/campaigns/{id}/test_send"
payload = {
"customer": "<string>",
"to_email_address": "<string>",
"to_phone_number": "<string>",
"variables": {},
"email_address": "<string>",
"phone_number": "<string>",
"step_ids": ["<string>"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer: '<string>',
to_email_address: '<string>',
to_phone_number: '<string>',
variables: {},
email_address: '<string>',
phone_number: '<string>',
step_ids: ['<string>']
})
};
fetch('https://api.pocketflows.com/campaigns/{id}/test_send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Campaigns
Test-send a campaign
POST
/
campaigns
/
{id}
/
test_send
Test-send a campaign
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the campaign to test-send
Body
application/json
The ID of the customer to test-send the campaign to
The email address to test-send the campaign to
The phone number to test-send the campaign to
The variables to test-send the campaign with
The ID of the email address to use as the sending address (overrides the campaign's configured email address)
The ID of the phone number to use as the sending phone number (overrides the campaign's configured phone number)
The IDs of the steps to test-send (if omitted, all steps are sent)
Response
200 - application/json
Whether the test-send was successful
The response is of type object.
⌘I